#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x9103d0ce, "module_layout" },
	{ 0x9ec0487a, "orinoco_tx_timeout" },
	{ 0x81f30ddc, "orinoco_change_mtu" },
	{ 0xd9de6cc, "eth_validate_addr" },
	{ 0xd10560d0, "eth_mac_addr" },
	{ 0x95815333, "orinoco_set_multicast_list" },
	{ 0x7b3d61f4, "orinoco_stop" },
	{ 0xad7f3c7a, "orinoco_open" },
	{ 0xdf2ab5ad, "usb_deregister" },
	{ 0x2e83c29a, "usb_register_driver" },
	{ 0xb5424eaa, "free_orinocodev" },
	{ 0xa2be61c, "orinoco_if_del" },
	{ 0x401cb7, "mutex_unlock" },
	{ 0x3cc4cb8a, "wait_for_completion" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0x1feee096, "mutex_lock" },
	{ 0xdd6061f6, "wiphy_unregister" },
	{ 0xe1546852, "release_firmware" },
	{ 0x50b6b074, "orinoco_if_add" },
	{ 0xfbe7308c, "orinoco_init" },
	{ 0xac91d246, "request_firmware" },
	{ 0x8d0aef6d, "__mutex_init" },
	{ 0x28132aa3, "alloc_orinocodev" },
	{ 0xa3ec2ccc, "usb_control_msg" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8bf704e3, "orinoco_process_xmit_skb" },
	{ 0xdcb764ad, "memset" },
	{ 0xbe0fc12d, "consume_skb" },
	{ 0xf4fe1c87, "usb_kill_urb" },
	{ 0xe0b3bd35, "__dynamic_pr_debug" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xcb2ea0b5, "finish_wait" },
	{ 0x4488bc8a, "prepare_to_wait_event" },
	{ 0x1000e51, "schedule" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x531e645d, "__dynamic_dev_dbg" },
	{ 0xc0f8b802, "usb_unlink_urb" },
	{ 0x2e4a775a, "__orinoco_ev_rx" },
	{ 0xe54c64f1, "__orinoco_ev_info" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x2b68bd2f, "del_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2df50b0, "jiffies" },
	{ 0x42080adc, "netif_tx_wake_queue" },
	{ 0x86b18094, "complete" },
	{ 0x5c37f319, "_raw_spin_unlock_irqrestore" },
	{ 0xf5222143, "_raw_spin_lock_irqsave" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x27a78381, "usb_free_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe3f29f70, "__init_waitqueue_head" },
	{ 0xd38e1736, "usb_alloc_urb" },
	{ 0x9dece1e2, "kmem_cache_alloc_trace" },
	{ 0x601d2344, "kmalloc_caches" },
	{ 0xc625a554, "usb_submit_urb" },
	{ 0xdbc4e825, "__dynamic_netdev_dbg" },
	{ 0xc5850110, "printk" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe4fe8ca1, "_raw_spin_unlock_bh" },
	{ 0xaf063510, "_raw_spin_lock_bh" },
	{ 0x9514151a, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=orinoco,usbcore,cfg80211";

MODULE_ALIAS("usb:v049Fp001Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0082d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0076d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v047Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D98p0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D9Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E7Cp0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5002d0000dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5B11d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p7011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BF8p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1630pFF81d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep047Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "9C00F4AC0166581F90E45DA");

MODULE_INFO(suserelease, "SLE15-SP2");
