#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x9103d0ce, "module_layout" },
	{ 0x419e6e3a, "ieee80211_rts_duration" },
	{ 0x884deb9d, "eeprom_93cx6_read" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8ae158f8, "ieee80211_rx_irqsafe" },
	{ 0x601d2344, "kmalloc_caches" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9514151a, "_mcount" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa2b4b0e5, "ieee80211_beacon_get_tim" },
	{ 0x40fef462, "ieee80211_unregister_hw" },
	{ 0x3ec28aa0, "__dev_kfree_skb_any" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x401cb7, "mutex_unlock" },
	{ 0xa8d8603a, "wiphy_rfkill_start_polling" },
	{ 0x623b9f81, "skb_unlink" },
	{ 0xc35b0669, "skb_trim" },
	{ 0x2b0e6603, "usb_unanchor_urb" },
	{ 0xa7defd93, "of_led_classdev_register" },
	{ 0xa705eed1, "__netdev_alloc_skb" },
	{ 0xe3f29f70, "__init_waitqueue_head" },
	{ 0x5ca05119, "_dev_warn" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5c37f319, "_raw_spin_unlock_irqrestore" },
	{ 0xdf2ab5ad, "usb_deregister" },
	{ 0x1afeaadd, "ieee80211_alloc_hw_nm" },
	{ 0x8d0aef6d, "__mutex_init" },
	{ 0xc5850110, "printk" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xa3ec2ccc, "usb_control_msg" },
	{ 0x5792f848, "strlcpy" },
	{ 0x7934a7f9, "skb_push" },
	{ 0x1feee096, "mutex_lock" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xc7ebab0, "__dev_kfree_skb_irq" },
	{ 0xe4a489a5, "skb_pull" },
	{ 0xa674fcf7, "wiphy_rfkill_stop_polling" },
	{ 0xf478ec9f, "_dev_err" },
	{ 0xdfeea8ea, "ieee80211_queue_delayed_work" },
	{ 0xd5befc7e, "skb_queue_tail" },
	{ 0xade578f6, "_dev_info" },
	{ 0xc625a554, "usb_submit_urb" },
	{ 0x3c874272, "__ieee80211_get_rx_led_name" },
	{ 0xde365803, "usb_get_dev" },
	{ 0xe6658b50, "usb_kill_anchored_urbs" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xfa7706f3, "usb_reset_device" },
	{ 0x747b85f6, "wiphy_rfkill_set_hw_state" },
	{ 0x44bc6b50, "usb_put_dev" },
	{ 0x2be5746e, "ieee80211_tx_status_irqsafe" },
	{ 0xd7a3762f, "kfree_skb" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xae1cbae, "__ieee80211_get_tx_led_name" },
	{ 0x9dece1e2, "kmem_cache_alloc_trace" },
	{ 0x531e645d, "__dynamic_dev_dbg" },
	{ 0xf5222143, "_raw_spin_lock_irqsave" },
	{ 0x6ab925d9, "ieee80211_generic_frame_duration" },
	{ 0x20ec059f, "__ieee80211_get_radio_led_name" },
	{ 0xabbd3bfc, "ieee80211_ctstoself_duration" },
	{ 0x4e8bd1cf, "ieee80211_register_hw" },
	{ 0x55d72f12, "led_classdev_unregister" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0x2e83c29a, "usb_register_driver" },
	{ 0xad829afe, "ieee80211_free_hw" },
	{ 0xd49be703, "skb_dequeue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe14ae72, "skb_put" },
	{ 0x27a78381, "usb_free_urb" },
	{ 0x7fa2c97a, "usb_anchor_urb" },
	{ 0xd38e1736, "usb_alloc_urb" },
	{ 0x895d80c5, "ieee80211_queue_stopped" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mac80211,eeprom_93cx6,cfg80211,usbcore";

MODULE_ALIAS("usb:v0B05p171Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp705Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8187d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8189d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8197d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8198d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0789p010Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p6100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p6A00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p4260d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v03F0pCA02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0028d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0029d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1371p9401d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D1pABE6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v18E8p6232d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B75p8187d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1737p0073d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F89BC343FBD244925CC3EC0");

MODULE_INFO(suserelease, "SLE15-SP2");
