#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x9103d0ce, "module_layout" },
	{ 0xf6904cf9, "param_ops_string" },
	{ 0x26892607, "param_ops_int" },
	{ 0x2dfcb747, "rndis_tx_fixup" },
	{ 0x52a550a0, "rndis_rx_fixup" },
	{ 0x4d68fdaf, "rndis_status" },
	{ 0x4ae85ad0, "usbnet_get_stats64" },
	{ 0x56ed029e, "usbnet_tx_timeout" },
	{ 0xd9de6cc, "eth_validate_addr" },
	{ 0xd10560d0, "eth_mac_addr" },
	{ 0xefe703d9, "usbnet_start_xmit" },
	{ 0x9b387844, "usbnet_stop" },
	{ 0xbc30daf5, "usbnet_open" },
	{ 0x89930a45, "usbnet_resume" },
	{ 0x6fa6ee64, "usbnet_suspend" },
	{ 0x2e675a22, "usbnet_disconnect" },
	{ 0xfadfd628, "usbnet_probe" },
	{ 0xdf2ab5ad, "usb_deregister" },
	{ 0x2e83c29a, "usb_register_driver" },
	{ 0x6413d52e, "wiphy_register" },
	{ 0x88648db6, "generic_rndis_bind" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8d0aef6d, "__mutex_init" },
	{ 0xc6bc20d0, "wiphy_new_nm" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x32872cd4, "netdev_err" },
	{ 0xe45e3267, "usbnet_purge_paused_rxq" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0xe8663ae6, "ieee80211_channel_to_frequency" },
	{ 0xaf8408c4, "netif_carrier_off" },
	{ 0x28f56e2b, "cfg80211_disconnected" },
	{ 0x5f940640, "cfg80211_roamed" },
	{ 0xd88c43b5, "netif_carrier_on" },
	{ 0x9110801a, "usbnet_resume_rx" },
	{ 0xebfe5aaa, "cfg80211_ibss_joined" },
	{ 0x94d2195f, "cfg80211_cqm_rssi_notify" },
	{ 0x9dece1e2, "kmem_cache_alloc_trace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x601d2344, "kmalloc_caches" },
	{ 0x26db1f92, "cfg80211_put_bss" },
	{ 0x1d1e6745, "ieee80211_get_channel" },
	{ 0xb1e12d81, "krealloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98cf60b3, "strlen" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xe4fe8ca1, "_raw_spin_unlock_bh" },
	{ 0xaf063510, "_raw_spin_lock_bh" },
	{ 0xe6668bcc, "cfg80211_scan_done" },
	{ 0xe7bf083a, "wiphy_free" },
	{ 0xdd6061f6, "wiphy_unregister" },
	{ 0x6385cbc8, "rndis_unbind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x42160169, "flush_workqueue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf9a482f9, "msleep" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0x94f11e03, "netdev_warn" },
	{ 0x37a0cba, "kfree" },
	{ 0x401cb7, "mutex_unlock" },
	{ 0x4a455eff, "rndis_command" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1feee096, "mutex_lock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x28de2da4, "cfg80211_inform_bss_data" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x863f3272, "cfg80211_connect_done" },
	{ 0xdcb764ad, "memset" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x231b0296, "cfg80211_michael_mic_failure" },
	{ 0xd3f7dc31, "usbnet_pause_rx" },
	{ 0x77493213, "cfg80211_pmksa_candidate_notify" },
	{ 0xdbc4e825, "__dynamic_netdev_dbg" },
	{ 0xc3d3da43, "netdev_info" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9514151a, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rndis_host,usbnet,usbcore,cfg80211";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");

MODULE_INFO(srcversion, "AEC3E86F8E3A19A4D8F6728");

MODULE_INFO(suserelease, "SLE15-SP2");
